# IBM Spectrum Protect Plus 10.1.12

[IBM Spectrum Protect Plus](https://www.ibm.com/us-en/marketplace/ibm-spectrum-protect-plus) is a modern data protection solution that provides near-instant recovery, replication, retention, and reuse for VMs, databases, and containers in hybrid multicloud environments.

## Introduction

IBM Spectrum Protect Plus is a data protection and availability solution for virtual environments and database applications that can be rapidly deployed to protect your environment.

Container Backup Support is a feature of IBM Spectrum Protect Plus that extends data protection to containers in a Kubernetes or Red Hat OpenShift environment. Container Backup Support protects persistent volumes, namespace-scoped resources, and cluster-scoped resources that are associated with containers in Kubernetes or Red Hat OpenShift clusters. Snapshot backups of the persistent volumes are created and can be copied to IBM Spectrum Protect Plus vSnap servers or directly to cloud storage without using a vSnap server as intermidiary storage.

[Product Documentation](https://www.ibm.com/docs/en/spp/10.1.12)

## Deployment Details

An operator is used in the deployment of the Container Backup Support component of IBM Spectrum Protect Plus, which supports data protection in a Kubernetes or Red Hat OpenShift environment.

## Prerequisites and Required Resources

To view the requirements, prerequisites, and required resources, see [Container backup and restore requirements](https://www.ibm.com/support/pages/node/6579427).

## Installing the Product

You can install Container Backup Support by using one of several methods.

To install the product, see [Installing Container Backup Support](https://www.ibm.com/docs/en/SSNQFQ_10.1.12/spp/c_spp_cbs_installation.html)

## Uninstalling the Product

You can uninstall Container Backup Support completely so that all components, including all configurations and backups, are removed from the Kubernetes or Red Hat OpenShift environment.

To uninstall the product, see [Uninstalling Container Backup Support](https://www.ibm.com/docs/en/SSNQFQ_10.1.12/spp/t_spp_cbs_uninstall_full.html)

## Configuration parameters for Container Backup Support

You can update the configuration parameters for Container Backup Support by setting up installation variables.

To review the configuration parameters, see [Setting up installation variables for Container Backup Support](https://www.ibm.com/docs/en/spp/10.1.12?topic=support-setting-up-installation-variables)

## Limitations

* You cannot deploy the product more than once
* A rollback to a previous version of the product is not supported. In other words, you cannot use Container Backup Support 10.1.5 to restore data that was backed up by Container Backup Support 10.1.12.

For more information, see [Additional limitations and known problems](https://www.ibm.com/support/pages/node/6557002)

## Documentation

For more information about Container Backup Support, see the following resources in IBM Documentation:

* [Protecting containers](https://www.ibm.com/docs/en/SSNQFQ_10.1.12/spp/c_spp_protecting_containers.html)
* [Protecting containers by using the command line](https://www.ibm.com/docs/en/SSNQFQ_10.1.12/spp/c_spp_cbs_using_cmdline.html)
